Skip to content

Import Components

Request

Type: application/json

Schema: ImportComponentsRequestDto

hotel array [ HotelComponentImportDto ]

Hotel components to import

importOperationId string

Import operation identifier for tracking this import item progress and createdEntityId in the import report.

createDto HotelComponentCreateDto
migrationReference string

Id that reference to an entity in the source system.

collateralId string

ID of the collateral this component belongs to. Must not be blank and must exist in the system. Validated asynchronously - presented in the import report.

assetType string(enum)

Asset type (e.g. Hotel, Multi_Family_Apartments, Office). Must not be null or 'None'. Validated asynchronously - presented in the import report.

Available enum values: None, Mixed, Hotel, Industrial, Multi_Family_Apartments, Office, Retail, Self_Storage, Land, Special_Purpose, Senior_Housing, Distribution_Warehouse, Flex_Office, Portfolio

unitMix HotelLivingUnitCreateDto
numUnits number(double)

Total number of rooms in the hotel

adr number(double)

Stabilized Average Daily Rate (ADR), in USD

occupancy number(double)

Stabilized occupancy rate, expressed as a decimal (e.g., 0.72 = 72%)

sqFt number(double)

Total square footage of hotel rooms

serviceLevel string(enum)

Service level (LimitedService, FullService, Luxury)

Available enum values: LimitedService, FullService, Luxury

hotelFlag string

Hotel flag identifier

commercial array [ CommercialComponentImportDto ]

Commercial components to import

importOperationId string

Import operation identifier for tracking this import item progress and createdEntityId in the import report.

createDto CommercialComponentCreateDto
migrationReference string

Id that reference to an entity in the source system.

collateralId string

ID of the collateral this component belongs to. Must not be blank and must exist in the system. Validated asynchronously - presented in the import report.

assetType string(enum)

Asset type (e.g. Hotel, Multi_Family_Apartments, Office). Must not be null or 'None'. Validated asynchronously - presented in the import report.

Available enum values: None, Mixed, Hotel, Industrial, Multi_Family_Apartments, Office, Retail, Self_Storage, Land, Special_Purpose, Senior_Housing, Distribution_Warehouse, Flex_Office, Portfolio

unitMix array [ CommercialLivingUnitCreateDto ]

List of commercial living units

description string

Description of commercial unit mix line item

suite string

Suite of commercial unit mix line item

floor number(double)

Floor of commercial unit mix line item

unitSize number(double)

Total square footage for this commercial unit line item

residential array [ ResidentialComponentImportDto ]

Residential components to import

importOperationId string

Import operation identifier for tracking this import item progress and createdEntityId in the import report.

createDto ResidentialComponentCreateDto
migrationReference string

Id that reference to an entity in the source system.

collateralId string

ID of the collateral this component belongs to. Must not be blank and must exist in the system. Validated asynchronously - presented in the import report.

assetType string(enum)

Asset type (e.g. Hotel, Multi_Family_Apartments, Office). Must not be null or 'None'. Validated asynchronously - presented in the import report.

Available enum values: None, Mixed, Hotel, Industrial, Multi_Family_Apartments, Office, Retail, Self_Storage, Land, Special_Purpose, Senior_Housing, Distribution_Warehouse, Flex_Office, Portfolio

unitMix array [ ResidentialLivingUnitCreateDto ]

List of residential living units

description string

Residentail unit mix line item description

bedrooms number(double)

Number of bedrooms for this unit type

bathrooms number(double)

Number of bathrooms for this unit type

unitSize number(double)

Average square footage for this unit type

numUnits number(double)

Number of units of this type (e.g., 20 one-bedroom units)

Response

Status: 200

Type: application/json

Schema: ImportResponseDto

success boolean

error ErrorDto
target string

Field or parameter that caused the error

code string(enum)

Error code (e.g., Duplicated, MissingMandatoryField, InvalidCreateValues, MissingEntity)

Available enum values: Duplicated, MissingMandatoryField, InvalidCreateValues, Existing, ValidationError, MissingEntity

message string

details array [ ErrorDto ]

reportId string

POST
/api/apiGateway/importComponents
Request Body
{
  "hotel": [
    {
      "importOperationId": "string",
      "createDto": {
        "migrationReference": "string",
        "collateralId": "string",
        "assetType": "None",
        "unitMix": {
          "numUnits": 0.0,
          "adr": 0.0,
          "occupancy": 0.0,
          "sqFt": 0.0
        },
        "serviceLevel": "LimitedService",
        "hotelFlag": "string"
      }
    }
  ],
  "commercial": [
    {
      "importOperationId": "string",
      "createDto": {
        "migrationReference": "string",
        "collateralId": "string",
        "assetType": "None",
        "unitMix": [
          {
            "description": "string",
            "suite": "string",
            "floor": 0.0,
            "unitSize": 0.0
          }
        ]
      }
    }
  ],
  "residential": [
    {
      "importOperationId": "string",
      "createDto": {
        "migrationReference": "string",
        "collateralId": "string",
        "assetType": "None",
        "unitMix": [
          {
            "description": "string",
            "bedrooms": 0.0,
            "bathrooms": 0.0,
            "unitSize": 0.0,
            "numUnits": 0.0
          }
        ]
      }
    }
  ]
}
Response
{
  "success": true,
  "error": {
    "target": "string",
    "code": "Duplicated",
    "message": "string",
    "details": [
      {}
    ]
  },
  "reportId": "string"
}